Bug 75585 - rhn-applet leaves zombie processes
rhn-applet leaves zombie processes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-09 19:36 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-28 16:05:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-09 19:36:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
The rhn-applet is leaving a bunch of defunct process.  The applet has been
running since September 22, and during that time, I've had several connection
timeouts.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Run rhn-applet for a while
2. Do a ps aux and look at the output
3.
	

Additional info:

[blondie@nirvana:~]$ ps auxwwf|grep rhn-applet
blondie  13162  0.2  3.1 26888 15944 ?       S    Sep22  64:14 /usr/bin/python
/usr/bin/rhn-applet --activate-goad-server rhn-applet --goad-fd 11
blondie  32050  0.0  0.0     0    0 ?        Z    Sep29   0:00  \_ [rhn-applet
<defunct>]
blondie   7115  0.0  0.0     0    0 ?        Z    Oct04   0:00  \_ [rhn-applet
<defunct>]
blondie   7125  0.0  0.0     0    0 ?        Z    Oct04   0:00  \_ [rhn-applet
<defunct>]
blondie   7221  0.0  0.0     0    0 ?        Z    Oct04   0:00  \_ [rhn-applet
<defunct>]
blondie   7532  0.0  0.0     0    0 ?        Z    Oct04   0:00  \_ [rhn-applet
<defunct>]
blondie   7754  0.0  0.0     0    0 ?        Z    Oct04   0:00  \_ [rhn-applet
<defunct>]
blondie   7816  0.0  0.0     0    0 ?        Z    Oct05   0:00  \_ [rhn-applet
<defunct>]
blondie   7866  0.0  0.0     0    0 ?        Z    Oct05   0:00  \_ [rhn-applet
<defunct>]
blondie   7867  0.0  0.0     0    0 ?        Z    Oct05   0:00  \_ [rhn-applet
<defunct>]
blondie   7868  0.0  0.0     0    0 ?        Z    Oct05   0:00  \_ [rhn-applet
<defunct>]
blondie   8446  0.0  0.0     0    0 ?        Z    Oct05   0:00  \_ [rhn-applet
<defunct>]
blondie  20669  0.0  0.0     0    0 ?        Z    Oct07   0:00  \_ [rhn-applet
<defunct>]
blondie  20947  0.0  0.0     0    0 ?        Z    Oct07   0:00  \_ [rhn-applet
<defunct>]
blondie  21465  0.0  0.0     0    0 ?        Z    Oct08   0:00  \_ [rhn-applet
<defunct>]
blondie  21840  0.0  0.0     0    0 ?        Z    Oct08   0:00  \_ [rhn-applet
<defunct>]
blondie  23077  0.0  0.0     0    0 ?        Z    18:15   0:00  \_ [rhn-applet
<defunct>]

Four boxes running 7.3 are seeing this bug.
Comment 1 Daniel Veillard 2003-09-28 16:05:48 EDT
Maybe this was a bug occuring in 7.3 . I have not seen the behaviour
reproduced in the last two releases,

Daniel

Note You need to log in before you can comment on or make changes to this bug.